# conftest.py
import pytest
import logging

log = logging.getLogger(__name__)

def pytest_addoption(parser):
    parser.addoption("--token-path", action="store", default="",
                     help="Input string for tests")

def pytest_configure(config):
    token_path = config.getoption("--token-path")
    
    with open(token_path, "r") as f:
        config.token = f.readline().split("\n")[0]
        
    config.beamtime="asapo_test"
    config.data_source="python"
    config.host = "localhost:8400"
    config.data_path = "/tmp/asapo/receiver/files/test_facility/gpfs/test/2019/data/asapo_test/processed"


@pytest.fixture
def asapo_config(request):
    return request.config
